Subject: Re: Large TLBs on 40x

From: Matt Porter <[email-masked]>
Date: Wed, 11 Aug 2004 11:38:36 -0700

On Wed, Aug 11, 2004 at 02:16:20PM -0400, Dan Malek wrote:
>
> On Aug 11, 2004, at 1:42 PM, Josh Boyer wrote:
>
> > Yep, fixed.  Thanks for the tips.
>
> Although a single sentence, my last question was meant
> to be serious.  The changes here look reasonable, but
> does the behavior change to be what you want to see?
> What happens if you configure with/without KGDB
> enabled (since this affects protection attributes)?

Well, we know what happens there.  The protection goes away since
we have code to ensure that kernel text is writeable when we have
any of the debuggers enabled...regardless of whether notlbs or
nobats is set.

> As a maintainer, I just can't accept a code patch without
> documentation of the problem and that it is corrected.
> I don't have the time to test all of these conditions before
> pushing patches to the source tree, that's _your_ job :-)

In any case, I've heard from folks that don't want large tlb
mappings in some cases, so this little unobtrustive option
has other uses.

-Matt

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/